import request from "@/utils/request";

// 专家专利列表
export const expertPatentList = (id, params) => {
    return request({
        url: `/app/expert/patent/${id}`,
        method: "GET",
        params
    });
};

// 专家新增专利
export const insertCasPatent = (data) => {
    return request({
        url: `/app/expert/insertCasPatent`,
        method: "POST",
        data,
        params: {
            expertId: data.expertId
        }
    });
};
// 专家修改专利
export const updateCasPatent = (data) => {
    return request({
        url: `/app/expert/updateCasPatent`,
        method: "PUT",
        data,
    });
};
// 专家删除专利
export const deleteCasPatentByIds = (ids) => {
    return request({
        url: `/app/expert/deleteCasPatentByIds/${ids}`,
        method: "DELETE",
    });
};